POST api/Categories/AddSizes
Request Information
URI Parameters
None.
Body Parameters
CategorySizeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CategoryId | integer |
Required |
|
| TagId | integer |
Required |
|
| Name | string |
Required |
|
| IsShoeSize | boolean |
None. |
|
| IsEnabled | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"categoryId": 1,
"tagId": 2,
"name": "sample string 3",
"isShoeSize": true,
"isEnabled": true
}
application/xml, text/xml
Sample:
<CategorySizeViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"> <CategoryId>1</CategoryId> <Id>1</Id> <IsEnabled>true</IsEnabled> <IsShoeSize>true</IsShoeSize> <Name>sample string 3</Name> <TagId>2</TagId> </CategorySizeViewModel>
multipart/form-data
Sample:
<CategorySizeViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><CategoryId>1</CategoryId><Id>1</Id><IsEnabled>true</IsEnabled><IsShoeSize>true</IsShoeSize><Name>sample string 3</Name><TagId>2</TagId></CategorySizeViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, multipart/form-data
Sample:
Sample not available.